cURL
curl --location --request GET https://api.writer.com/v1/applications/{application_id} \
--header "Authorization: Bearer <token>"import os
from writerai import Writer
client = Writer(
api_key=os.environ.get("WRITER_API_KEY"), # This is the default and can be omitted
)
application = client.applications.retrieve(
"application_id",
)
print(application.id)import Writer from 'writer-sdk';
const client = new Writer({
apiKey: process.env['WRITER_API_KEY'], // This is the default and can be omitted
});
async function main() {
const application = await client.applications.retrieve('application_id');
console.log(application.id);
}
main();{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "generation",
"status": "deployed",
"inputs": [
{
"name": "<string>",
"input_type": "text",
"required": true,
"description": "<string>",
"options": {
"list": [
"<string>"
]
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_deployed_at": "2023-11-07T05:31:56Z"
}Applications API
Application details
Retrieves detailed information for a specific no-code agent (formerly called no-code applications), including its configuration and current status.
GET
/
v1
/
applications
/
{application_id}
cURL
curl --location --request GET https://api.writer.com/v1/applications/{application_id} \
--header "Authorization: Bearer <token>"import os
from writerai import Writer
client = Writer(
api_key=os.environ.get("WRITER_API_KEY"), # This is the default and can be omitted
)
application = client.applications.retrieve(
"application_id",
)
print(application.id)import Writer from 'writer-sdk';
const client = new Writer({
apiKey: process.env['WRITER_API_KEY'], // This is the default and can be omitted
});
async function main() {
const application = await client.applications.retrieve('application_id');
console.log(application.id);
}
main();{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "generation",
"status": "deployed",
"inputs": [
{
"name": "<string>",
"input_type": "text",
"required": true,
"description": "<string>",
"options": {
"list": [
"<string>"
]
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_deployed_at": "2023-11-07T05:31:56Z"
}No-code applications are now called no-code agents. The Applications API, which you can use to programmatically interact with no-code agents, still uses the term
application to minimize breaking changes.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your Writer API key.
Response
200 - application/json
Successfully retrieved application details.
Detailed application object including its input configuration.
Was this page helpful?